Skip to main content
GET
/
analytics
Get analytics stats
curl --request GET \
  --url https://api.wacht.dev/analytics \
  --header 'Authorization: <api-key>'
{
  "unique_signins": 1250,
  "signups": 150,
  "organizations_created": 25,
  "workspaces_created": 45,
  "total_signups": 5000,
  "unique_signins_change": 15.5,
  "signups_change": 8.3,
  "organizations_created_change": -5.2,
  "workspaces_created_change": 12,
  "recent_signups": [
    {
      "user_id": "1234567890123456789",
      "email": "user@example.com",
      "first_name": "John",
      "last_name": "Doe",
      "signed_up_at": "2024-01-15T10:30:00Z",
      "method": "password"
    }
  ],
  "recent_signins": [
    {
      "user_id": "1234567890123456789",
      "user_email": "user@example.com",
      "signed_in_at": "2024-01-15T10:30:00Z",
      "method": "password",
      "ip_address": "192.168.1.1",
      "user_agent": "Mozilla/5.0..."
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Query Parameters

from
string<date-time>
required

Start date for analytics period

to
string<date-time>
required

End date for analytics period

Response

200 - application/json

Analytics summary

unique_signins
integer

Number of unique sign-ins in the period

Example:

1250

signups
integer

Number of new sign-ups in the period

Example:

150

organizations_created
integer

Number of organizations created in the period

Example:

25

workspaces_created
integer

Number of workspaces created in the period

Example:

45

total_signups
integer

Total sign-ups all time

Example:

5000

unique_signins_change
number<float> | null

Percentage change from previous period

Example:

15.5

signups_change
number<float> | null

Percentage change from previous period

Example:

8.3

organizations_created_change
number<float> | null

Percentage change from previous period

Example:

-5.2

workspaces_created_change
number<float> | null

Percentage change from previous period

Example:

12

recent_signups
object[]
recent_signins
object[]